from parsomics_core.entities import (
    Assembly,
    Metadata,
    Project,
    Run,
    Source,
    Tool,
    DrepDirectory,
    DrepEntry,
    FASTAFile,
    FASTAEntry,
    GeneAnnotationFile,
    GeneAnnotationEntry,
    GFFFile,
    GFFEntry,
    GTDBTkFile,
    GTDBTkEntry,
    ProteinAnnotationFile,
    ProteinAnnotationEntry,
    Contig,
    Fragment,
    FragmentProteinLink,
    Gene,
    Genome,
    GenomeCluster,
    Protein,
    RepeatedRegion,
    Sample,
)

model_registry: dict[str, type] = {
    "Assembly": Assembly,
    "Metadata": Metadata,
    "Project": Project,
    "Run": Run,
    "Source": Source,
    "Tool": Tool,
    "DrepDirectory": DrepDirectory,
    "DrepEntry": DrepEntry,
    "FASTAFile": FASTAFile,
    "FASTAEntry": FASTAEntry,
    "GeneAnnotationFile": GeneAnnotationFile,
    "GeneAnnotationEntry": GeneAnnotationEntry,
    "GFFFile": GFFFile,
    "GFFEntry": GFFEntry,
    "GTDBTkFile": GTDBTkFile,
    "GTDBTkEntry": GTDBTkEntry,
    "ProteinAnnotationFile": ProteinAnnotationFile,
    "ProteinAnnotationEntry": ProteinAnnotationEntry,
    "Contig": Contig,
    "Fragment": Fragment,
    "FragmentProteinLink": FragmentProteinLink,
    "Gene": Gene,
    "Genome": Genome,
    "GenomeCluster": GenomeCluster,
    "Protein": Protein,
    "RepeatedRegion": RepeatedRegion,
    "Sample": Sample,
}
